Get concerts by cityKey
Get the upcoming & past concerts in a given city.
Don't know the cityKey? Use the Get cities for venue/festival endpoint.
Request
GET
/api/v2/venue/concerts/by-city-key
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| cityKey | string | Add a cityKey. Available values are listed in the https://doc.api.soundcharts.com/api/v2/doc/reference/path/referential/get-cities-for-artist-ranking endpoint. | Required |
| startDate | string | Optional period start date (format YYYY-MM-DD) | Optional |
| endDate | string | Optional period end date (format YYYY-MM-DD) | Optional |
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
An event city collection response |
Venue Event Collection |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |